/*
 * @(#)ServerUrlManager.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.system.service;

import java.util.ArrayList;
import java.util.List;

/**
 * 連携するサーバの認証状態問い合わせ先URLを管理するクラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/12/11 13:29:27 $
 */
public class ServerUrlManager {

	private static final ServerUrlManager sum = new ServerUrlManager();

	private List list = new ArrayList();

	/**
	 * コンストラクタ。
	 */
	private ServerUrlManager() {
	}

	/**
	 * インスタンス取得。
	 * 
	 * @return ServerUrlManager インスタンス
	 */
	public static final ServerUrlManager getInstance() {
		return sum;
	}

	/**
	 * 問い合わせ先URLを追加する。
	 * 
	 * @param url URL
	 * @return boolean true：追加成功／false：追加失敗
	 */
	public synchronized boolean add(String url) {
		return list.add(url);
	}

	/**
	 * 指定された問い合わせ先URLを削除する。
	 * 
	 * @param url URL
	 * @return boolean true：削除成功／false：削除失敗
	 */
	public synchronized boolean remove(String url) {
		return list.remove(url);
	}

	/**
	 * 問い合わせ先URLをすべて削除する。
	 * 
	 * @return boolean true：削除成功／false：削除失敗
	 */
	public synchronized boolean removeAll() {
		return list.removeAll(list);
	}

	/**
	 * 連携するサーバの問い合わせ先URLのリストを取得する。
	 * 
	 * @return List URLのリスト
	 */
	public List getList() {
		return new ArrayList(list);
	}

}
